Package com.google.protobuf

# Enum Class Extension.MessageType

java.lang.Object
java.lang.Enum<Extension.MessageType>
com.google.protobuf.Extension.MessageType

All Implemented Interfaces:
  `Serializable`, `Comparable<Extension.MessageType>`, `Constable`

Enclosing class:
  `Extension<ContainingType extends MessageLite,Type>`

public static enum Extension.MessageType extends Enum<Extension.MessageType>
Type of a message extension.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PROTO1`
`PROTO2`

## Method Summary

Modifier and Type
Method
Description
`static Extension.MessageType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Extension.MessageType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PROTO1

public static final Extension.MessageType PROTO1

### PROTO2

public static final Extension.MessageType PROTO2

## Method Details

### values

public static Extension.MessageType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Extension.MessageType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null